<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TCA']['tx_lpcsermons_domain_model_sermon'] = array(
	'ctrl' => $GLOBALS['TCA']['tx_lpcsermons_domain_model_sermon']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'l10n_parent, l10n_diffsource, hidden, title, preacher, image, date, description, language, reference, url, mp3file, podcastfile, videourl, resources, podcast, fe_group, kool_event_id',
		// 'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, title, preacher, image, date, description, language, reference, url, mp3file, podcastfile, videourl, resources, podcast',
	),
	'types' => array(
		// '1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, title, preacher, image, date, description, language, reference, url, mp3file, podcastfile, videourl, resources, podcast, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
		'1' => array('showitem' => ';;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, title, preacher, image, date, description, language, reference, url, mp3file, podcastfile, videourl, resources, podcast, fe_group, kool_event_id, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_lpcsermons_domain_model_sermon',
				'foreign_table_where' => 'AND tx_lpcsermons_domain_model_sermon.pid=###CURRENT_PID### AND tx_lpcsermons_domain_model_sermon.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'fe_group' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.feGroup',
			'config' => array(
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			),
		),
		'kool_event_id' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.koolEventId',
			'config' => array(
				'type' => 'input',
				'size' => 10,
				'eval' => 'int'
			),
		),

		'title' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'preacher' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.preacher',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'image' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.image',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'image',
				array('maxitems' => 1),
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		),
		'date' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.date',
			'config' => array(
				'dbType' => 'datetime',
				'type' => 'input',
				'size' => 12,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => '0000-00-00 00:00:00'
			),
		),
		'description' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.description',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
			'defaultExtras' => 'richtext[]'
		),
		'language' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.language',
			'config' => array(
				'type' => 'input',
				'size' => '5',
				'max' => '5',
				'eval' => 'trim'
			),
		),
		'reference' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.reference',
			'config' => array(
				'type' => 'text',
				'cols' => 30,
				'rows' => 5,
				'eval' => 'trim'
			)
		),
		'url' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.url',
			'config' => Array (
				'type'     => 'input',
				'size'     => '15',
				'max'      => '255',
				'checkbox' => '',
				'eval'     => 'trim',
				'wizards'  => array(
					'_PADDING' => 2,
					'link'     => array(
						'type'         => 'popup',
						'title'        => 'Link',
						'icon'         => 'link_popup.gif',
						'script'       => 'browse_links.php?mode=wizard',
						'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
					)
				)
			)
		),
		'mp3file' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.mp3file',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'mp3file',
				array(
					'maxitems' => 1
				),
				'mp3,m4a,mp4'
			),
		),
		'podcastfile' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.podcastfile',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'podcastfile',
				array('maxitems' => 1),
				'mp3,m4a,mp4'
			),
		),
		'videourl' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.videourl',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'resources' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.resources',
			'config' => 
				\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
					'resources',
					array('maxitems' => 10)
				)
		),
		'podcast' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.podcast',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_lpcsermons_domain_model_podcast',
				'foreign_table_where' => ' ORDER BY tx_lpcsermons_domain_model_podcast.uid',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'cache_ts' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.cacheTs',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'cache_mp3info' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.cacheMp3info',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'crdate' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lpc_sermons/Resources/Private/Language/locallang_db.xlf:tx_lpcsermons_domain_model_sermon.crDate',
			'config' => array(
				'type' => 'input',
				'size' => 10,
				'eval' => 'datetime',
				'checkbox' => 1
			),
		),
	),
);
